Bug 191879 - New port: devel/libosmo-sccp - SCCP library
New port: devel/libosmo-sccp - SCCP library
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: --- Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on: 191877
  Show dependency treegraph
Reported: 2014-07-15 14:29 UTC by Nikola Kolev
Modified: 2014-08-11 18:11 UTC (History)
1 user (show)

See Also:

devel/libosmo-sccp files (3.32 KB, text/plain)
2014-07-15 14:29 UTC, Nikola Kolev
no flags Details
fixed issues after make check-plist and make stage-qa (3.35 KB, text/plain)
2014-08-01 09:42 UTC, Nikola Kolev
no flags Details
pkg-descr file (426 bytes, text/plain)
2014-08-11 09:14 UTC, Nikola Kolev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kolev 2014-07-15 14:29:22 UTC
Created attachment 144689 [details]
devel/libosmo-sccp files

This port has dependency new port submitted in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=191877
Please do not submit before it.
Comment 1 John Marino freebsd_committer 2014-07-31 16:21:43 UTC
Same comment.  Explain what the SCCP does, and why it should be part of the ports tree.

In addition, can you provide test logs from poudriere or redports or at least the output from "make check-plist" followed by "make stage-qa" ?
Comment 2 John Marino freebsd_committer 2014-07-31 16:37:45 UTC
If you choose poudriere, make sure you use either "poudriere testport" or "poudriere bulk -t" in order to enable stage-qa checks, thanks!
Comment 3 Nikola Kolev 2014-08-01 09:42:02 UTC
Created attachment 145203 [details]
fixed issues after make check-plist and make stage-qa

This attachment contains fixed issues reported by 'make check-plist' and 'make stage-qa'. I missed to executed them before.

I want to port OpenBSC (http://openbsc.osmocom.org/trac/) to FreeBSD. OpenBSC is free software project implementing various parts of the GSM network. It can run a full minimal GSM network in a box. I have OpenBSC port files ready but first need to commit its dependencies. Libosmo-sccp is OpenBSC dependency. The Signalling Connection Control Part (SCCP) is a network layer[1] protocol that provides extended routing, flow control, segmentation, connection-orientation, and error correction facilities in Signaling System 7 telecommunications networks. SCCP relies on the services of MTP for basic routing and error detection. (http://en.wikipedia.org/wiki/Signalling_Connection_Control_Part)
Comment 4 John Marino freebsd_committer 2014-08-01 10:52:05 UTC
Okay.  There's still a possibility of a missing dependency as the make commands can't test for this (only poudriere can) but let's be optimistic.
Comment 5 John Marino freebsd_committer 2014-08-10 20:20:25 UTC
.... and I was right:

checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether cc understands -c and -o together... yes
checking for style of include used by gmake... GNU
checking dependency style of cc... gcc3
checking for ranlib... ranlib
./configure: 3603: Syntax error: word unexpected (expecting ")")
===>  Script "configure" failed unexpectedly.
Please report the problem to koue@chaosophia.net [maintainer] and attach the
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

make: stopped in /usr/ports/devel/libosmo-sccp
Comment 6 John Marino freebsd_committer 2014-08-10 20:26:11 UTC
it was missing USES+= pkgconfig

And now the pkg-plist has a warning:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
Warning: Possibly owned by dependency: @dirrmtry include/osmocom
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
Comment 7 John Marino freebsd_committer 2014-08-10 20:39:48 UTC
I'm all ready to commit this port after my two little fixes (pkgconfig + remove dirrmtry line from pkg-plist), but the pkg description is terrible:

"SCCP Library from Osmocom."

That's shorter than the "short" description.
Well, no, that's not true, that's "SCCP Library".

These descriptions are not helpful and do not describe what the port is or what it does.

Can you provide a real package description and a better "short" description?  You can probably use a lot of the text you added in this PR earlier.
Comment 8 Nikola Kolev 2014-08-11 09:14:37 UTC
Created attachment 145655 [details]
pkg-descr file

Extended port description.
Comment 9 Nikola Kolev 2014-08-11 09:15:48 UTC
COMMENT=        SCCP network layer protocol implementation
Comment 10 John Marino freebsd_committer 2014-08-11 09:17:10 UTC
yes, much better!

If you have any other PRs in work with less than optimal descriptions, you might want to pre-emptively update those too.

I'll put this in work.
Comment 11 commit-hook freebsd_committer 2014-08-11 09:26:49 UTC
A commit references this bug:

Author: marino
Date: Mon Aug 11 09:26:42 UTC 2014
New revision: 364593
URL: http://svnweb.freebsd.org/changeset/ports/364593

  Add new port devel/libosmo-sccp

  PR:		191879
  Submitted by:	koue (chaosophia.net)

  The Signalling Connection Control Part (SCCP) is a network layer
  protocol that provides extended routing, flow control, segmentation,
  connection-orientation, and error correction facilities in
  Signaling System 7 telecommunications networks.  SCCP relies on the
  services of MTP for basic routing and error detection.
  Libosmo-sccp is SCCP protocol implementation for Osmocom projects.

Comment 12 John Marino freebsd_committer 2014-08-11 18:11:13 UTC